#include "avr/io.h" 
#include "avr/interrupt.h" 
#include "avr/iom16.h" 
volatile uint16_t pause_timer; 

SIGNAL (TIMER0_OVF_vect) // timer0 interrupt routine 
{ 
if (pause_timer) 
pause_timer--; 
} 

int main (void) 
{ 
TCCR0 |= 0b00000001; // Teiler mit Systemtakt
TIMSK |= _BV (TOIE0); // Timer0 berlauf, bei 1 Frei

sei(); // turn on interrupts 

DDRC = 0xff;// set PORTB as output 

while (1) 
	{ 
PORTC=0xFF; 
//pause_timer = 14400; // wartet so viele overflows und dann setzt portC 
pause_timer = 62500; // wartet so viele overflows und dann setzt portC 
for ( ; ; ) 
		{ 
		cli( ); 
		if ( !pause_timer ) break;
		sei( ); 
		} // end for 
sei( ); 

PORTC=0x00; 
//pause_timer = 14400; // wartet so viele overflows und dann setzt portC 
pause_timer = 62500; // wartet so viele overflows und dann setzt portC

for ( ; ; ) 
		{ 
		cli( ); 
		if ( !pause_timer ) break; 
		sei( ); 
		} // end for 
	sei( ); 
	} //end while
}

